package com.adealink.weparty.profile

import com.adealink.frame.aab.util.getCompatString
import com.adealink.weparty.commonui.BaseFragment
import com.adealink.weparty.profile.ui.about.ProfileFragment
import com.adealink.weparty.profile.ui.photowall.PhotoWallFragment

enum class ProfileTab(val tab: String) {
    /**
     * 关于我
     */
    PROFILE("profile"),

    /**
     * 照片墙
     */
    PHOTO_WALL("photo_wall");
}

data class Tab(
    val type: ProfileTab,
    val name: (() -> String),
    val fragmentBuilder: () -> BaseFragment
)

val PROFILE_TAB = Tab(
    type = ProfileTab.PROFILE,
    name = {
        getCompatString(R.string.profile_tab_profile)
    },
    fragmentBuilder = {
        ProfileFragment()
    }
)

val PHOTO_WALL_TAB = Tab(
    type = ProfileTab.PHOTO_WALL,
    name = {
        getCompatString(R.string.profile_tab_photo_wall)
    },
    fragmentBuilder = {
        PhotoWallFragment()
    }
)


val PROFILE_TABS = listOf(
    PROFILE_TAB, PHOTO_WALL_TAB
)